<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Window extends Controller
{
    private $user;

    public function before() {
        $user = User::instance();
        //if ($user->isSignedIn()) {
        //    $this->user = $user->toArray();
        //}
    }

    public function action_get() {
        $path = UTF8::str_ireplace(':', '/', $this->request->param('id'));
        if (Kohana::find_file('views/popup', $path, 'twig')) {
            $twig = Twig::factory('popup/' . $path);
            $twig->User = $this->user;
            $arr = explode('||', $twig->render());
            $json = json_encode(array(
                'title' => $arr[0],
                'width' => $arr[1],
                'top'   => $arr[2],
                'content' => $arr[3]));
            $this->response->body($json);
        } else {
            throw HTTP_Exception::factory(404, "Искомый шаблон $path не найден");
        }
    }
}
