<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_News extends Controller_Handler
{
    public function action_index() {
        $info = [];

        foreach (['news', 'updates'] as $block) {
            $info[$block] = $this->parse($block . '.md');
        }

        $this->response->body(json_encode($info));
    }

    private function parse($file) {
        $log = Model_System::getChangeLog($file);
        array_splice($log, 0, 2);

        foreach ($log as &$arr) {
            $arr['text'] = Parsedown::instance()->parse($arr['text']);
        }

        return $log;
    }
}
