<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Office_Credits extends Controller_Environment_Office
{
    public function before() {
        parent::before();

        // make it possible to download files
        Cookie::set('fD', 'true');
    }

    public function action_index() {
        $disciplines = $this->user->Faculty->getDisciplines();

        $list = [];
        foreach ($disciplines as $dis) {
            if ($dis->Type == "credit")
                $list[] = $dis;
        }

        $milestone = $this->user->Faculty->getMilestone($this->user->SemesterID);

        $this->twig->set([
            'DisciplinesList'  => $list,
            'CurrentMilestone' => $milestone,
        ])->set_filename(static::OFFICE . 'credits');
    }
}
